# scripts/ccip/ccip-configure-destination.sh

**Name**: `ccip-configure-destination.sh`

Add/update/remove destination chain mappings on CCIP WETH bridges


**Uses common library**: yes

**Has --help**: yes

## Usage
`${SCRIPT_NAME} --token {weth9|weth10} --action {add|update|remove} --selector <chainSelector> [--receiver <addr>] --pk <hex> [--rpc <url>] [--help]`

### Options
```
--token <name>     Bridge token type (weth9|weth10)
--action <op>     add|update|remove
--selector N       Destination chain selector (uint64)
--receiver ADDR    Receiver bridge address (for add/update)
--pk HEX           Admin private key to call bridge
--rpc URL          RPC URL (default: ETHEREUM_MAINNET_RPC or public)
--help             Show help
```

## Examples
```bash
${SCRIPT_NAME} --token {weth9|weth10} --action {add|update|remove} --selector <chainSelector> [--receiver <addr>] --pk <hex> [--rpc <url>] [--help]
```
